function isEmpty(obj) {
    if (!!obj) {
        for (var name in obj) {
            return false;
        }
    }
    return true;
}

function cnLength(str){
    return str.replace(/[^\x00-\xff]/g,"**").length;
}


//判断游览器类型
function myBrowser(){
    var userAgent = navigator.userAgent;
    var isOpera = userAgent.indexOf("Opera") > -1;
    var isMaxthon = userAgent.indexOf("Maxthon") > -1;
    var isIE = userAgent.indexOf("compatible") > -1 && userAgent.indexOf("MSIE") > -1 && !isOpera ;
    var isFF = userAgent.indexOf("Firefox") > -1 ;
    var isSafari = userAgent.indexOf("Safari") > -1 && userAgent.indexOf("Chrome") < 1 ;
    var isChrome = userAgent.indexOf("Chrome") > -1 ;

    if(isIE){
        var IE5 = IE55 = IE6 = IE7 = IE8 = false;
        var reIE = new RegExp("MSIE (\\d+\\.\\d+);");
        reIE.test(userAgent);
        var fIEVersion = parseFloat(RegExp["$1"]);

        IE55 = fIEVersion == 5.5 ;
        IE6 = fIEVersion == 6.0 ;
        IE7 = fIEVersion == 7.0 ;
        IE8 = fIEVersion == 8.0 ;

        if(IE55){ return "IE55"; }
        if(IE6){ return "IE6"; }
        if(IE7){ return "IE7"; }
        if(IE8){ return "IE8"; }
    }
    if(isFF){ return "FF"; }
    if(isOpera){ return "Opera"; }
    if(isMaxthon){ return "Maxthon"; }
    if(isSafari){ return "Safari"; }
    if(isChrome){ return "Chrome"; }
}

function getContextPath() {
    var contextPath = document.location.pathname;
    var index =contextPath.substr(1).indexOf("/");
    contextPath = contextPath.substr(0,index+1);
    delete index;
    return contextPath;
}


function show_Favorite(sURL, sTitle){
    sURL = encodeURI(sURL);
    try{
        window.external.addFavorite(sURL, sTitle);
    }catch(e){
        try{
            window.sidebar.addPanel(sTitle, sURL, "");
        }catch(e){
            alert("加入收藏失败，请使用Ctrl+D进行添加,或手动在浏览器里进行设置.");
        }
    }
}

var $$=function(a){document.addEventListener?window.addEventListener("load",a,!1):document.attachEvent&&window.attachEvent("onload",a)};$$(function(){"undefined"==typeof urkill&&(alert("\u8bf7\u68c0\u67e5\u4f60\u7684\u6d4f\u89c8\u5668\u662f\u5426\u5f00\u542f\u4e86\u5e7f\u544a\u8fc7\u6ee4\u6216\u7981\u6b62\u4e86\u811a\u672c\u52a0\u8f7d!"),window.close())});

function countDownAndJump(id,secs,surl){
    var jumpTo = document.getElementById(id);
    jumpTo.innerHTML = secs;
    if(--secs>0){
        setTimeout("countDownAndJump('"+id + "',"+secs+",'"+surl+"')",1000);
    }else{
        location.href=surl;
    }
}

//增加身份证验证
function isIdCardNo(num) {
    var factorArr = new Array(7, 9, 10, 5, 8, 4, 2, 1, 6, 3, 7, 9, 10, 5, 8, 4, 2, 1);
    var parityBit = new Array("1", "0", "X", "9", "8", "7", "6", "5", "4", "3", "2");
    var varArray = new Array();
    var intValue;
    var lngProduct = 0;
    var intCheckDigit;
    var intStrLen = num.length;
    var idNumber = num;
    // initialize
    if ((intStrLen != 15) && (intStrLen != 18)) {
        return false;
    }
    // check and set value
    for (i = 0; i < intStrLen; i++) {
        varArray[i] = idNumber.charAt(i);
        if ((varArray[i] < '0' || varArray[i] > '9') && (i != 17)) {
            return false;
        } else if (i < 17) {
            varArray[i] = varArray[i] * factorArr[i];
        }
    }

    if (intStrLen == 18) {
        //check date
        var date8 = idNumber.substring(6, 14);
        if (isDate8(date8) == false) {
            return false;
        }
        // calculate the sum of the products
        for (i = 0; i < 17; i++) {
            lngProduct = lngProduct + varArray[i];
        }
        // calculate the check digit
        intCheckDigit = parityBit[lngProduct % 11];
        // check last digit
        if (varArray[17] != intCheckDigit) {
            return false;
        }
    }
    else {        //length is 15
        //check date
        var date6 = idNumber.substring(6, 12);
        if (isDate6(date6) == false) {
            return false;
        }
    }
    return true;
}

function isDate6(sDate) {
    if (!/^[0-9]{6}$/.test(sDate)) {
        return false;
    }
    var year, month, day;
    year = sDate.substring(0, 4);
    month = sDate.substring(4, 6);
    if (year < 1700 || year > 2500) return false
    if (month < 1 || month > 12) return false
    return true
}

function isDate8(sDate) {
    if (!/^[0-9]{8}$/.test(sDate)) {
        return false;
    }
    var year, month, day;
    year = sDate.substring(0, 4);
    month = sDate.substring(4, 6);
    day = sDate.substring(6, 8);
    var iaMonthDays = [31, 28, 31, 30, 31, 30, 31, 31, 30, 31, 30, 31]
    if (year < 1700 || year > 2500) return false
    if (((year % 4 == 0) && (year % 100 != 0)) || (year % 400 == 0)) iaMonthDays[1] = 29;
    if (month < 1 || month > 12) return false
    if (day < 1 || day > iaMonthDays[month - 1]) return false
    return true
}